Bug 446661 - setroubleshootd die
setroubleshootd die
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 11:40 EDT by Alexey Kuznetsov
Modified: 2008-07-08 22:43 EDT (History)
0 users

See Also:
Fixed In Version: 2.0.8-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-05-15 11:40:02 EDT
[root@mini axet]# /etc/init.d/setroubleshoot  restart
Stopping setroubleshootd:                                  [  OK  ]
Starting setroubleshootd:                                  [  OK  ]
[root@mini axet]# Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 221, in
on_connection_state_change
    self.uid, self.gid = self.access.get_credentials(self.socket_address.socket)
  File "/usr/lib/python2.5/site-packages/setroubleshoot/access_control.py", line
122, in get_credentials
    pid, uid, gid = struct.unpack(format_ucred, ucred)
  File "/usr/lib/python2.5/struct.py", line 87, in unpack
    return o.unpack(s)
struct.error: unpack requires a string argument of length 12
Comment 1 John Dennis 2008-05-15 12:04:14 EDT
You didn't specify an architecture, I presume PPC, is that correct? If so we
have a fix.
Comment 2 Alexey Kuznetsov 2008-05-15 12:10:45 EDT
bingo! :) mac-mini ppc.
Comment 3 Fedora Update System 2008-06-16 14:21:21 EDT
setroubleshoot-2.0.7-1.fc9 has been submitted as an update for Fedora 9
Comment 4 Alexey Kuznetsov 2008-06-17 02:45:17 EDT
for setroubleshoot-2.0.7-1.fc9

[root@mini ~]# /etc/init.d/setroubleshoot restart
Stopping setroubleshootd:                                  [  OK  ]
Starting setroubleshootd:                                  [  OK  ]
[root@mini ~]# 
[root@mini ~]# 
[root@mini ~]# Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 221, in
on_connection_state_change
    self.uid, self.gid = self.access.get_credentials(self.socket_address.socket)
  File "/usr/lib/python2.5/site-packages/setroubleshoot/access_control.py", line
142, in get_credentials
    if family != socket.AF_UNIX:
NameError: global name 'socket' is not defined
Comment 5 Fedora Update System 2008-06-17 09:37:29 EDT
setroubleshoot-2.0.8-1.fc9 has been submitted as an update for Fedora 9
Comment 6 John Dennis 2008-06-17 09:40:44 EDT
fix capitalization of Socket module name in access_control.py in 2.0.8-1.fc9,
available in updates-testing.
Comment 7 Fedora Update System 2008-06-17 15:08:57 EDT
setroubleshoot-2.0.8-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-17 23:13:50 EDT
setroubleshoot-2.0.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5405
Comment 9 Fedora Update System 2008-07-08 22:43:48 EDT
setroubleshoot-2.0.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.